System 2.0.0.0 4.0.0.0 System.Enum

IP addresses are divided into two parts: the prefix and the suffix. The address prefix identifies the network portion of an IP address, and the address suffix identifies the host portion. Prefixes are assigned by global authorities, and suffixes are assigned by local system administrators.

This enumeration is used by the class. Instances of this class are returned when you retrieve the unicast address information for a object.

Specifies how an IP address host suffix was located.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix is a link-local suffix.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix was manually configured.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix was supplied by a Dynamic Host Configuration Protocol (DHCP) server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix was located using an unspecified source.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix was randomly assigned.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.SuffixOrigin

  The suffix is a well-known suffix. Well-known suffixes are specified in standard-track Request for Comments (RFC) documents and assigned by the Internet Assigned Numbers Authority (Iana) or an address registry. Such suffixes are reserved for special purposes.